#%define gitrev 4863221
#%define gitdate 20160817
# Git repo: http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-input-synaptics-${date}-git${hash}/ ${hash} \
#       | xz -7e > xf86-input-synaptics-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

%define udevrulesdir /lib/udev/rules.d

Summary:	X.org input driver for Synaptics touchpad devices
Name:		x11-driver-input-synaptics
Version:	1.9.0
Release:	2
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-input-synaptics-%{version}.tar.bz2
#Source0:	xf86-input-synaptics-%{gitdate}-git%{gitrev}.tar.xz
Source3:	50-synaptics.conf
Source4:	70-touchpad-quirks.rules

Patch0:		synaptics-always-enable-tapping.patch

BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libevdev)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
%rename synaptics

%description
Synaptics touchpad devices are extremely popular on laptops and this driver
is an MIT licensed alternative to the older GPL synaptics driver which is
no longer actively maintained.

%files
%doc COPYING README
%{_bindir}/synclient
%{_bindir}/syndaemon
%{_libdir}/xorg/modules/input/synaptics_drv.so
%{_mandir}/man1/synclient.*
%{_mandir}/man1/syndaemon.*
%{_mandir}/man4/synaptics.*
%{_datadir}/X11/xorg.conf.d/50-synaptics.conf
%{udevrulesdir}/70-touchpad-quirks.rules

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for programing with the xorg synaptics driver
Group:		Development/C

%description devel
Development files for programing with the xorg synaptics driver.

%files devel
%{_includedir}/xorg/synaptics-properties.h
%{_libdir}/pkgconfig/xorg-synaptics.pc

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-synaptics-%{version}
%apply_patches

%build
autoreconf -v --install --force
%configure2_5x --with-udev-rules-dir=%{udevrulesdir}
%make

%install
%makeinstall_std

# Remove the template of the .conf file for now, we provide a custom one.
rm -f %{buildroot}/%{_datadir}/X11/xorg.conf.d/70-synaptics.conf

install -d %{buildroot}/lib/udev/rules.d/
install -m 0644 %{SOURCE4} %{buildroot}/lib/udev/rules.d/70-touchpad-quirks.rules

install -d %{buildroot}/%{_datadir}/X11/xorg.conf.d
install -m 0644 %{SOURCE3} %{buildroot}/%{_datadir}/X11/xorg.conf.d/50-synaptics.conf

%changelog

* Sat Nov 26 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.9.0-2
- (f352442) Always enable tapping, so that it can be used at the login screen too


